DOM::HTMLBaseElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLBaseElement Class Reference

Document base URI. More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLBaseElement:

[legend]
Collaboration diagram for DOM::HTMLBaseElement:

[legend]
List of all members.

## Public Member Functions
| HTMLBaseElement (const HTMLBaseElement &other)
| HTMLBaseElement (const Node &other)
HTMLBaseElement & | operator= (const HTMLBaseElement &other)
HTMLBaseElement & | operator= (const Node &other)
DOMString | href () const
| The base URI See the href attribute definition in HTML 4.0.
void | setHref (const DOMString &)
| see href
DOMString | target () const
| The default target frame.
void | setTarget (const DOMString &)
| see target
## Protected Member Functions
| HTMLBaseElement (HTMLBaseElementImpl *impl)

## Detailed Description

Document base URI.

See the BASE element definition in HTML 4.0.

Definition at line 47 of file html_head.h.

## Member Function Documentation

DOMString HTMLBaseElement::href | ( |  | ) | const

| The base URI See the href attribute definition in HTML 4.0. Definition at line 60 of file html_head.cpp. References href(), DOM::DOMString::length(), and DOM::DOMString::string(). Referenced by href().

void HTMLBaseElement::setHref | ( | const DOMString & |  | ) |

| see href Definition at line 67 of file html_head.cpp.

DOMString HTMLBaseElement::target | ( |  | ) | const

| The default target frame. See the target attribute definition in HTML 4.0. Definition at line 72 of file html_head.cpp.

void HTMLBaseElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 78 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:12 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001